import * as $dara from '@darabonba/typescript';
import { AllocateDedicatedHostsResponseBody } from "./AllocateDedicatedHostsResponseBody";
export declare class AllocateDedicatedHostsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AllocateDedicatedHostsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
